package envoy.event;

/**
 * This event is used so that the server can tell the client that attachments
 * will be filtered out.
 * <p>
 * Project: <strong>common</strong><br>
 * File: <strong>NoAttachments.java</strong><br>
 * Created: <strong>22.08.2020</strong><br>
 *
 * @author Leon Hofmeister
 * @since Envoy Common v0.2-beta
 */
public class NoAttachments extends Event<Void> {

	private static final long serialVersionUID = 1L;

	/**
	 * Creates a new {@code NoAttachments}.
	 *
	 * @since Envoy Common v0.2-beta
	 */
	public NoAttachments() { super(null); }

}
